org.eclipse.emf.cdo.security

## Interface SecurityElement

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, ModelElement, Notifier
  All Known Subinterfaces:
    Assignee, Directory, Group, Realm, Role, SecurityItem, User
  All Known Implementing Classes:
    AssigneeImpl, DirectoryImpl, GroupImpl, RealmImpl, RoleImpl, SecurityElementImpl, SecurityItemImpl, UserImpl

      public interface SecurityElement
      extends ModelElement

  A representation of the model object 'Element'.
  See Also:
    `SecurityPackage.getSecurityElement()`
  Generated
  Model
    abstract="true"
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Realm` | `getRealm()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.etypes.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getRealm

          Realm getRealm()

      Generated
      Model
        kind="operation" required="true"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html